# Uses of Interface
org.gitana.platform.client.support.Remote

Packages that use Remote
Package
Description
org.gitana.platform.client
org.gitana.platform.client.attachment
org.gitana.platform.client.billing
org.gitana.platform.client.cluster
org.gitana.platform.client.datastore
org.gitana.platform.client.deletion
org.gitana.platform.client.node
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.team
org.gitana.platform.client.util

## Uses of Remote in org.gitana.platform.client

Methods in org.gitana.platform.client that return Remote
Modifier and Type
Method
Description
`Remote`
Driver.`getRemote()`
Constructors in org.gitana.platform.client with parameters of type Remote
Modifier
Constructor
Description
``
`Driver(Remote remote)`

## Uses of Remote in org.gitana.platform.client.attachment

Methods in org.gitana.platform.client.attachment that return Remote
Modifier and Type
Method
Description
`protected Remote`
AttachmentImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.billing

Methods in org.gitana.platform.client.billing that return Remote
Modifier and Type
Method
Description
`protected Remote`
BillingTransactionImpl.`getRemote()`
`protected Remote`
PaymentMethodImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.cluster

Methods in org.gitana.platform.client.cluster that return Remote
Modifier and Type
Method
Description
`protected Remote`
AbstractClusterDocumentImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return Remote
Modifier and Type
Method
Description
`protected Remote`
AbstractDataStoreImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.deletion

Methods in org.gitana.platform.client.deletion that return Remote
Modifier and Type
Method
Description
`protected Remote`
DeletionImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return Remote
Modifier and Type
Method
Description
`protected Remote`
BaseNodeImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Remote
Modifier and Type
Method
Description
`protected Remote`
AbstractPlatformDocumentImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.support

Classes in org.gitana.platform.client.support that implement Remote
Modifier and Type
Class
Description
`class`
`RemoteImpl`

## Uses of Remote in org.gitana.platform.client.team

Methods in org.gitana.platform.client.team that return Remote
Modifier and Type
Method
Description
`protected Remote`
TeamImpl.`getRemote()`

## Uses of Remote in org.gitana.platform.client.util

Methods in org.gitana.platform.client.util with parameters of type Remote
Modifier and Type
Method
Description
`static CopyJob`
DriverUtil.`copy(Cluster cluster, Remote remote, TypedID source, TypedID target, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Generic helper method to copy the source object into the target container.